STRNCMP(3)

NAME
strncmp - character string compare

SYNOPSIS

#include <string.h>

int strncmp(const char *a, const char * b, size_t length);

DESCRIPTION

strncmp compares up to length characters from the string at a to the string at b.

RETURNS

If *a sorts lexicographically after *b, strncmp returns a number greater than zero. If the two strings are equivalent, strncmp returns zero. If *a sorts lexicographically before *b, strncmp returns a number less than zero.

PORTABILITY

strncmp is ANSI C.

strncmp requires no supporting OS subroutines.